import { ISmart4CityLocation } from "#sch/datasources/interfaces/ISmart4CityLocation";

export const smart4CityInputDataFixture: Array<ISmart4CityLocation & Record<string, any>> = [
    {
        id: 18,
        city: {
            id: 2,
            regionid: {
                id: 1,
                name: "Středočeský kraj",
            },
            code: "benesov",
            name: "Benešov",
            country: "CZ",
            latitude: 49.783134,
            longitude: 14.689649,
            mapconfig: '{"lat":49.786389,"lng":14.680030,"zoom":15}',
            hidden: false,
            openedAt: "2020-01-01T00:00:00+01:00",
            closedAt: "2100-01-01T00:00:00+01:00",
        },
        name: "ulice Tyršova",
        shortname: null,
        latitude: 49.78222,
        longitude: 14.688302,
        capacity: 39,
        unoccupied: 2,
        correctionunoccupied: 2,
        uncorrectionunoccupied: 2,
        closed: false,
        distance: null,
        tarifMin: 30,
        amount: 10.0,
        tarifMax: 1440,
        tarifStep: 15,
        visualization_url: "Benesov_tyrsova",
        paymentmethods: "KAM",
        tariff_content:
            // eslint-disable-next-line max-len
            '<table class="tarifTable">    \n    <tr>        \n        <td>Po - Pa</td><td>7:00 - 18:00</td><td>20 Kč/h</td>\n    </tr>\n    <tr>        \n        <td>So</td><td>8:00 - 12:00</td><td>20 Kč/h</td>\n    </tr>\n    <tr>\n        <td colspan="2">Ne a státní svátky</td><td>ZDARMA</td>\n    </tr>\n</table>',
        type: 1,
        parkinglocationtype: {
            id: 1,
            name: "street parking",
        },
    },
    {
        id: 19,
        city: {
            id: 2,
            regionid: {
                id: 1,
                name: "Středočeský kraj",
            },
            code: "benesov",
            name: "Benešov",
            country: "CZ",
            latitude: 49.783134,
            longitude: 14.689649,
            mapconfig: '{"lat":49.786389,"lng":14.680030,"zoom":15}',
            hidden: false,
            openedAt: "2020-01-01T00:00:00+01:00",
            closedAt: "2100-01-01T00:00:00+01:00",
        },
        name: "ulice Nová pražská",
        shortname: null,
        latitude: 49.784658,
        longitude: 14.68827,
        capacity: 0,
        unoccupied: null,
        correctionunoccupied: null,
        uncorrectionunoccupied: null,
        closed: true,
        distance: null,
        tarifMin: 30,
        amount: 10.0,
        tarifMax: 1440,
        tarifStep: 15,
        visualization_url: null,
        paymentmethods: "AM",
        tariff_content:
            // eslint-disable-next-line max-len
            '<table class="tarifTable">    \n    <tr>        \n        <td>Po - Pa</td><td>7:00 - 18:00</td><td>20 Kč/h</td>\n    </tr>\n    <tr>        \n        <td>So</td><td>8:00 - 12:00</td><td>20 Kč/h</td>\n    </tr>\n    <tr>\n        <td colspan="2">Ne a státní svátky</td><td>ZDARMA</td>\n    </tr>\n</table>',
        type: 1,
        parkinglocationtype: {
            id: 1,
            name: "street parking",
        },
    },
    {
        id: 86,
        city: {
            id: 2,
            regionid: {
                id: 1,
                name: "Středočeský kraj",
            },
            code: "benesov",
            name: "Benešov",
            country: "CZ",
            latitude: 49.783134,
            longitude: 14.689649,
            mapconfig: '{"lat":49.786389,"lng":14.680030,"zoom":15}',
            hidden: false,
            openedAt: "2020-01-01T00:00:00+01:00",
            closedAt: "2100-01-01T00:00:00+01:00",
        },
        name: "Konopiště",
        shortname: null,
        latitude: 49.783124,
        longitude: 14.659354,
        capacity: 350,
        unoccupied: 0,
        correctionunoccupied: 0,
        uncorrectionunoccupied: 0,
        closed: false,
        distance: null,
        tarifMin: 0,
        amount: 0,
        tarifMax: 0,
        tarifStep: 0,
        visualization_url: null,
        paymentmethods: "KAM",
        tariff_content:
            // eslint-disable-next-line max-len
            '<table class="tarifTable">    \n    <tr>        \n        <td>motocykl</td><td>30 Kč/den</td>\n    </tr>\n    <tr>        \n        <td>osobní automobil</td><td>60 Kč/den</td>\n    </tr>\n    <tr>\n        <td>mikrobus, obytný vůz</td><td>150 Kč/den</td>\n    </tr>\n    <tr>\n        <td> autobus </td><td>300 Kč/den</td>\n    </tr>\n</table>',
        type: 2,
        parkinglocationtype: {
            id: 2,
            name: "barrier parking",
        },
    },
    {
        id: 21,
        city: {
            id: 2,
            regionid: {
                id: 1,
                name: "Středočeský kraj",
            },
            code: "benesov",
            name: "Benešov",
            country: "CZ",
            latitude: 49.783134,
            longitude: 14.689649,
            mapconfig: '{"lat":49.786389,"lng":14.680030,"zoom":15}',
            hidden: false,
            openedAt: "2020-01-01T00:00:00+01:00",
            closedAt: "2100-01-01T00:00:00+01:00",
        },
        name: "ulice Poštovní",
        shortname: null,
        latitude: 49.781623,
        longitude: 14.690396,
        capacity: 0,
        unoccupied: null,
        correctionunoccupied: null,
        uncorrectionunoccupied: null,
        closed: false,
        distance: null,
        tarifMin: 30,
        amount: 5.0,
        tarifMax: 1440,
        tarifStep: 30,
        visualization_url: null,
        paymentmethods: "AM",
        tariff_content:
            // eslint-disable-next-line max-len
            '<table class="tarifTable">    \n    <tr>        \n        <td>Po - Pa</td><td>7:00 - 18:00</td><td>10 Kč/h</td>\n    </tr>\n    <tr>        \n        <td>So</td><td>8:00 - 12:00</td><td>10 Kč/h</td>\n    </tr>\n    <tr>\n        <td colspan="2">Ne a státní svátky</td><td>ZDARMA</td>\n    </tr>\n</table>',
        type: 1,
        parkinglocationtype: {
            id: 1,
            name: "street parking",
        },
    },
];
